import React__default, { useMemo } from 'react';

const TableLoadingStyle = "E_t1g36k2w";
const TableSkeleton = props => {
  const {
    rowsCount = 50,
    headerHeight = 48,
    itemHeight = 40
  } = props;
  const rows = useMemo(() => Array.from({
    length: rowsCount
  }, (r, i) => i), [rowsCount]);
  return /* @__PURE__ */React__default.createElement("div", {
    className: `${TableLoadingStyle} table-loading`
  }, /* @__PURE__ */React__default.createElement("div", {
    className: "table-loading-header table-loading-item",
    style: {
      height: headerHeight
    }
  }, /* @__PURE__ */React__default.createElement("div", {
    className: "checkbox-loading"
  }), /* @__PURE__ */React__default.createElement("div", {
    className: "td-loading"
  }), /* @__PURE__ */React__default.createElement("div", {
    className: "td-loading"
  }), /* @__PURE__ */React__default.createElement("div", {
    className: "td-loading"
  })), rows.map(i => /* @__PURE__ */React__default.createElement("div", {
    key: i,
    className: "table-loading-item",
    style: {
      height: itemHeight
    }
  }, /* @__PURE__ */React__default.createElement("div", {
    className: "checkbox-loading"
  }), /* @__PURE__ */React__default.createElement("div", {
    className: "td-loading"
  }), /* @__PURE__ */React__default.createElement("div", {
    className: "td-loading"
  }), /* @__PURE__ */React__default.createElement("div", {
    className: "td-loading"
  }))));
};

export { TableSkeleton };
